#### D.13.6.39 tropicalVariety

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  tropicalVariety(f[,p]); f poly, p optional number
  tropicalVariety(I[,p]); I ideal, p optional number

Assume:
  I homogeneous, p prime number

Return:
  fan, the tropical variety of f resp. I with respect to the trivial valuation or the p-adic valuation

Note:
  set printlevel=1 for output during traversal

Example:

    LIB "tropical.lib";
    ring r = 0,(x,y,z,w),dp;
    ideal I = x-2y+3z,3y-4z+5w;
    tropicalVariety(I);
    tropicalVariety(I,number(2));
    tropicalVariety(I,number(3));
    tropicalVariety(I,number(5));
    tropicalVariety(I,number(7));

User manual for Singular version 4.4.1, 2025, generated by texi2html.